Index: /main/trunk/model-interfaces-dev/whakatohea/interfaceConfig.xml
===================================================================
--- /main/trunk/model-interfaces-dev/whakatohea/interfaceConfig.xml	(revision 33830)
+++ /main/trunk/model-interfaces-dev/whakatohea/interfaceConfig.xml	(revision 33830)
@@ -0,0 +1,251 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<interfaceConfig baseInterface="default">
+	<actionList>
+		<action class="PageAction" name="p">
+			<subaction name="home" xslt="pages/home.xsl"/>
+			<subaction name="about" xslt="pages/about.xsl"/>
+			<subaction name="debug" xslt="pages/debuginfo.xsl"/>
+			<subaction name="pref" xslt="pages/pref.xsl"/>
+			<subaction name="help" xslt="pages/help.xsl"/>
+			<subaction name="login" xslt="pages/login.xsl"/>
+			<subaction name="verify" xslt="pages/verify.xsl"/>
+			<subaction name="error" xslt="pages/error.xsl"/>
+			<subaction name="gli4gs3" xslt="gli4gs3.xsl"/>
+			<subaction name="nav" xslt="nav.xsl"/>
+			<!-- used for the collection header frame -->
+			<subaction name="html" xslt="pages/html.xsl"/>
+			<!-- use to put an external page into a frame with a collection header-->
+		</action>
+
+		<action class="RSSAction" name="rss" xslt="pages/rss.xsl"/> 
+		<action class="QueryAction" name="q" xslt="pages/query.xsl"/>
+		<action class="GS2BrowseAction" name="b" xslt="pages/classifier.xsl"/>
+		<action class="DocumentAction" name="d" xslt="pages/document.xsl">
+		  <subaction name="print" xslt="pages/document-print.xsl"/>
+		</action>
+
+		<action class="AppletAction" name="a" xslt="pages/applet.xsl"/>
+		<action class="XMLDocumentAction" name="xd">
+			<subaction name="toc" xslt="pages/document-toc.xsl"/>
+			<subaction name="text" xslt="pages/document-content.xsl"/>
+		</action>
+		<action class="ProcessAction" name="pr" xslt="process.xsl"/>
+		<action class="SystemAction" name="s" xslt="pages/system.xsl"/>
+
+		<action class="FormatAction" name="f"/>
+		<!-- xslt='formatString.xsl'/> -->
+
+		<action class="GeneralAction" name="g">
+			<subaction name="authen" xslt="pages/authen.xsl"/>
+			<subaction name="berry" xslt="pages/berry.xsl"/>
+			<subaction name="documentbasket" xslt="pages/documentbasket.xsl"/>
+		</action>
+
+		<action class="DepositorAction" name="de" xslt="pages/depositor_home.xsl">
+			<subaction name="getwizard" xslt="depositor/compiledDepositor.xsl"/>
+		</action>
+	</actionList>
+	<optionList>
+		<option name="cssTheme" value="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.10/themes/redmond/jquery-ui.css"/>
+		<option name="highlightQueryTerms" value="true"/>
+		<!-- Set one or other of the following two options (berryBasket and favouriteBasket) to true -->
+		<!-- This enables the user to choose whether they want berries/favourites displayed or not -->
+		<!-- To have the chosen option on by default, set the corresponding defaultParameter in siteConfig.xml -->
+		<option name="berryBasket" value="false"/>
+		<option name="favouriteBasket" value="true"/>
+		<option name="documentBasket" value="true"/>
+	</optionList>
+	<languageList>
+		<language name="en">
+			<displayItem name="name">English</displayItem>
+		</language>
+		<language name="fr">
+			<displayItem name="name">FranÃ§ais</displayItem>
+		</language>
+		<language name="es">
+			<displayItem name="name">EspaÃ±ol</displayItem>
+		</language>
+		<language name="am">
+		  <displayItem name="name">Amharic</displayItem>
+		</language>
+		<language name="ar">
+			<displayItem name="name">Arabic</displayItem>
+		</language>
+		<language name="bg">
+			<displayItem name="name">Bulgarian</displayItem>
+		</language>
+		<language name="bn">
+			<displayItem name="name">àŠ¬àŠŸàŠàŠ²àŠŸ (Bengali)</displayItem>
+		</language>
+		<language name="ca">
+			<displayItem name="name">CatalÃ  (Catalan)</displayItem>
+		</language>
+		<language name="cs">
+			<displayItem name="name">Äesky (Czech)</displayItem>
+		</language>
+		<language name="de">
+			<displayItem name="name">Deutsch (German)</displayItem>
+		</language>
+		<language name="dv">
+		  <displayItem name="name">Dhivehi</displayItem>
+		</language>
+
+		<language name="el">
+			<displayItem name="name">ÎÎ»Î»Î·ÎœÎ¹ÎºÎ¬ (Greek)</displayItem>
+		</language>
+		<language name="fa">
+			<displayItem name="name">Farsi</displayItem>
+		</language>
+		<language name="fi">
+			<displayItem name="name">Finnish</displayItem>
+		</language>
+		<language name="gd">
+			<displayItem name="name">Gaelic (Scottish)</displayItem>
+		</language>
+		<language name="gl">
+			<displayItem name="name">Galician</displayItem>
+		</language>
+		<language name="gu">
+		  <displayItem name="name">Gujarati</displayItem>
+		</language>
+
+		<language name="he">
+			<displayItem name="name">Hebrew</displayItem>
+		</language>
+		<language name="hi">
+			<displayItem name="name">Hindi</displayItem>
+		</language>
+		<language name="hr">
+		  <displayItem name="name">Croatian</displayItem>
+		</language>
+
+		<language name="hu">
+			<displayItem name="name">Hungarian</displayItem>
+		</language>
+		<language name="hy">
+			<displayItem name="name">Armenian</displayItem>
+		</language>
+		<language name="id">
+			<displayItem name="name">Bahasa Indonesia (Indonesian)</displayItem>
+		</language>
+		<language name="it">
+			<displayItem name="name">Italiano</displayItem>
+		</language>    
+		<language name="ja">
+			<displayItem name="name">æ¥æ¬èª</displayItem>
+		</language>
+		<language name="ka">
+			<displayItem name="name">Georgian</displayItem>
+		</language>
+		<language name="kk">
+			<displayItem name="name">ÒÐ°Ð·Ð°Ò (Kazakh)</displayItem>
+		</language>
+		<language name="kn">
+			<displayItem name="name">Kannada</displayItem>
+		</language>
+		<language name="ky">
+			<displayItem name="name">ÐÑÑÐ³ÑÐ·ÑÐ° (Kirghiz)</displayItem>
+		</language>  
+  		<language name="lo">
+		  <displayItem name="name">Laotian</displayItem>
+		</language>
+
+		<language name="lv">
+			<displayItem name="name">Latvian</displayItem>
+		</language>
+		<language name="mi">
+			<displayItem name="name">MÄori</displayItem>
+		</language>
+		<language name="ml">
+			<displayItem name="name">Malayalam</displayItem>
+		</language>
+		<language name="mn">
+			<displayItem name="name">ÐÐŸÐœÐ³ÐŸÐ» (Mongolian)</displayItem>
+		</language>
+		<language name="mr">
+			<displayItem name="name">Marathi</displayItem>
+		</language>
+		<language name="my">
+		  <displayItem name="name">Burmese</displayItem>
+		</language>
+		<language name="ne">
+		  <displayItem name="name">Nepali</displayItem>
+		</language>
+
+		<language name="nl">
+		  <displayItem name="name">Nederlands (Dutch)</displayItem>
+		</language>
+		<language name="pl">
+		  <displayItem name="name">polski (Polish)</displayItem>
+		</language>
+
+		<language name="prs">
+			<displayItem name="name">Dari</displayItem>
+		</language>
+		<language name="ps">
+			<displayItem name="name">Pushto</displayItem>
+		</language>
+		<language name="pt-br">
+		  <displayItem name="name">portuguÃªs-BR (Brasil)</displayItem>
+		</language>
+		<language name="pt-pt">
+			<displayItem name="name">portuguÃªs-PT (Portugal)</displayItem>
+		</language>
+		<language name="ro">
+			<displayItem name="name">Romanian</displayItem>
+		</language>
+		<language name="ru">
+			<displayItem name="name">ÑÑÑÑÐºÐžÐ¹ (Russian)</displayItem>
+		</language>
+		<language name="si">
+			<displayItem name="name">Sinhalese</displayItem>
+		</language>
+		<language name="sk">
+		  <displayItem name="name">SlovenÄina (Slovak)</displayItem>
+		</language>
+		<language name="sr-bh-cyr">
+			<displayItem name="name">Serbian (Cyrillic - Bosnia and Herzegovina)</displayItem>
+		</language>
+		<language name="sr-bh-lat">
+			<displayItem name="name">Serbian (Latin - Bosnia and Herzegovina</displayItem>
+		</language>
+		<language name="sr-cyr">
+			<displayItem name="name">Serbian (Cyrillic)</displayItem>
+		</language>
+		<language name="sr-lat">
+			<displayItem name="name">Serbian (Latin)</displayItem>
+		</language>
+
+		<language name="ta">
+			<displayItem name="name">Tamil</displayItem>
+		</language>	
+		<language name="te">
+			<displayItem name="name">Telugu</displayItem>
+		</language>
+		<language name="th">
+			<displayItem name="name">Thai</displayItem>
+		</language>
+		<language name="ti">
+		  <displayItem name="name">Tigrinya</displayItem>
+		</language>
+
+		<language name="tr">
+			<displayItem name="name">Turkish</displayItem>
+		</language>
+		<language name="uk">
+			<displayItem name="name">Ukrainian</displayItem>
+		</language>
+		<language name="ur">
+			<displayItem name="name">Urdu</displayItem>
+		</language>
+		<language name="vi">
+			<displayItem name="name">Tiáº¿ng Viá»t</displayItem>
+		</language>
+		<language name="zh">
+			<displayItem name="name">ç®äœäž­æ (Simplified Chinese)</displayItem>
+		</language>
+		<language name="zh-tr">
+			<displayItem name="name">ç¹é«äž­æ (Traditional Chinese)</displayItem>
+		</language>
+	</languageList>
+</interfaceConfig>
Index: /main/trunk/model-interfaces-dev/whakatohea/transform/layouts/header.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/whakatohea/transform/layouts/header.xsl	(revision 33830)
+++ /main/trunk/model-interfaces-dev/whakatohea/transform/layouts/header.xsl	(revision 33830)
@@ -0,0 +1,116 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+		xmlns:java="http://xml.apache.org/xslt/java"
+		xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+		xmlns:gslib="http://www.greenstone.org/skinning"
+		xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
+		extension-element-prefixes="java util"
+		exclude-result-prefixes="java util gsf">
+  
+  <!-- Creates a header for the html page -->
+  <xsl:template name="create-html-header">
+    <base>
+      <xsl:attribute name="href">
+	<xsl:choose>
+	  <xsl:when test="/page/pageResponse/metadataList/metadata[@name = 'siteURL']">
+	    <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name = 'siteURL']"/>
+	  </xsl:when>
+	  <xsl:when test="/page/pageRequest/@baseURL">
+	    <xsl:value-of select="/page/pageRequest/@baseURL"/>
+	  </xsl:when>
+	</xsl:choose>
+      </xsl:attribute>
+    </base>
+    <xsl:comment>[if lte IE 6]&gt;&lt;/base&gt;&lt;![endif]</xsl:comment>
+
+    <xsl:variable name="page"><xsl:call-template name="pageTitle"/></xsl:variable>
+    <xsl:variable name="collection"><xsl:call-template name="collectionName"/></xsl:variable>
+    <xsl:variable name="site"><xsl:call-template name="siteName"/></xsl:variable>
+	 
+    <title><xsl:value-of select="$page"/><xsl:if test="$collection != '' and $page != $collection"> :: <xsl:value-of select="$collection"/></xsl:if><xsl:if test="$page != $site"> :: <xsl:value-of select="$site"/></xsl:if></title>
+    
+    <xsl:if test="/page/pageRequest/@action ='d'">
+      
+      <xsl:variable name="myMetadataHeader" select="/page/pageResponse/format/gsf:headMetaTags/gsf:metadata"/>
+      <xsl:for-each select="$myMetadataHeader">
+	<xsl:variable name="metaname" select="@name"/>
+	
+	<xsl:variable name="metavals" 
+		      select="/page/pageResponse/document/metadataList/metadata[@name = $metaname]|/page/pageResponse/document/documentNode/metadataList/metadata[@name = $metaname]"/>
+	<xsl:for-each select="$metavals">
+	  <META NAME="{$metaname}" CONTENT="{.}"/>
+	</xsl:for-each>
+      </xsl:for-each>
+      
+    </xsl:if>
+
+   <!-- <xsl:call-template name="addGoogleTracking"/>-->
+   <!--
+    <xsl:choose>
+      <xsl:when test="/page/pageResponse/interfaceOptions/option[@name = 'cssTheme']/@value">
+	< ! - - Get the theme from the interfaceConfig.xml file - - >
+	<link rel="stylesheet" href="{/page/pageResponse/interfaceOptions/option[@name = 'cssTheme']/@value}" type="text/css"/>
+      </xsl:when>
+      <xsl:otherwise>
+	<link rel="stylesheet" href="interfaces/{$interface_name}/style/themes/main/jquery-ui-1.8.16.custom.css" type="text/css"/>
+      </xsl:otherwise>
+    </xsl:choose>
+
+    -->
+	<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.10/themes/redmond/jquery-ui.css" type="text/css"/>
+
+
+    <link rel="stylesheet" href="interfaces/{$interface_name}/style/core.css" type="text/css"/>
+    <xsl:call-template name="favicon"/>
+    
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/jquery.min.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/jquery-ui-1.10.2.custom/js/jquery-ui-1.10.2.custom.min.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/jquery.blockUI.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/ace/ace.js"><xsl:text> </xsl:text></script>
+    
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/zoomer.js"><xsl:text> </xsl:text></script>
+
+    <xsl:if test="/page/pageResponse/format[@type='display' or @type='browse' or @type='search']/gsf:option[@name='mapEnabled']/@value = 'true'">
+      <xsl:call-template name="map-scripts"/>
+    </xsl:if>
+    
+    <xsl:if test="/page/pageResponse/format/gsf:option[@name='mapEnabledOpenLayers']/@value = 'true'">
+      <xsl:call-template name="openlayers-map-scripts"/>
+    </xsl:if>
+
+
+    <xsl:if test="/page/pageResponse/format/gsf:option[@name='panoramaViewerEnabled']/@value = 'true'">
+      <xsl:call-template name="panoramaViewer-scripts"/>
+    </xsl:if>
+
+    <xsl:if test="/page/pageRequest/userInformation and /page/pageRequest/userInformation/@editEnabled = 'true' and (util:contains(/page/pageRequest/userInformation/@groups, 'administrator') or util:contains(/page/pageRequest/userInformation/@groups, 'all-collections-editor') or util:contains(/page/pageRequest/userInformation/@groups, $thisCollectionEditor))">
+      <xsl:if test="/page/pageRequest/paramList/param[(@name='docEdit') and (@value='on' or @value='true' or @value='1')]">
+	   
+		 
+		<script type="text/javascript" src="interfaces/{$interface_name}/js/ckeditor/ckeditor.js" defer="true"><xsl:text> </xsl:text></script>	
+		<!--			<xsl:call-template name="init-direct-edit"/>	-->
+		
+		<xsl:variable name="mapEnabled"><xsl:value-of select="/page/pageResponse/format[@type='display']/gsf:option[@name='mapEnabled']/@value"/></xsl:variable>
+		<xsl:if test="$mapEnabled = 'false' or $mapEnabled = ''">
+		  <xsl:call-template name="map-scripts"/>
+		</xsl:if>
+	
+	  </xsl:if>
+      <script type="text/javascript" src="interfaces/{$interface_name}/js/debug_scripts.js"><xsl:text> </xsl:text></script>
+      <script type="text/javascript" src="interfaces/{$interface_name}/js/visual-xml-editor.js"><xsl:text> </xsl:text></script>
+    </xsl:if>
+
+    <xsl:call-template name="setup-gs-variable"/>
+    <xsl:if test="/page/pageRequest/@action ='p' and /page/pageRequest/@subaction='pref'">
+      <script type="text/javascript">
+	<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceStringsAsJavascript($interface_name, /page/@lang, 'pref')"/>
+      </script>
+      <script type="text/javascript" src="interfaces/{$interface_name}/js/jquery.themeswitcher.min.js"><xsl:text> </xsl:text></script>
+    </xsl:if>
+    <xsl:call-template name="define-js-macro-variables"/>
+
+    <xsl:call-template name="additionalHeaderContent"/>
+  </xsl:template>
+
+</xsl:stylesheet>
Index: /main/trunk/model-interfaces-dev/whakatohea/transform/layouts/main.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/whakatohea/transform/layouts/main.xsl	(revision 33830)
+++ /main/trunk/model-interfaces-dev/whakatohea/transform/layouts/main.xsl	(revision 33830)
@@ -0,0 +1,110 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
+    
+    xmlns:lxslt="http://xml.apache.org/xslt"
+    xmlns:result="http://www.example.com/results"
+    xmlns:exsl="http://exslt.org/common"
+
+	extension-element-prefixes="java util result exsl"
+	exclude-result-prefixes="util java util gsf gslib">
+
+	<xsl:import href="header.xsl"/>
+	<xsl:include href="formatmanager.xsl"/>
+	
+
+	<!-- put the URL or path of your site here site -->
+	<!-- eg 'http://www.example.com/mysite' or '/mysite'  -->
+	<xsl:template name="siteURL"><xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='siteURL']"/></xsl:template>
+
+
+	<!-- the output format for this layout is html -->
+	<xsl:output method="html" omit-xml-declaration="yes"/> 
+
+	<xsl:template match="/">
+		<xsl:call-template name="mainTemplate"/>
+	</xsl:template>
+	
+	<!-- the main layout is defined here -->
+	<xsl:template name="mainTemplate">
+
+		<html>
+
+			<head>
+				<!-- ***** in header.xsl ***** -->
+				<xsl:call-template name="create-html-header"/>
+				<xsl:call-template name="basketHeadTags"/>	
+				<style>
+				  body { background-color: white; }
+				</style>
+			</head>
+			
+			<body><xsl:call-template name="textDirectionAttribute"/><xsl:call-template name="actionClass"/>
+				
+				<!--<xsl:call-template name="displayErrorsIfAny"/>-->
+				<a name="top"><xsl:text> </xsl:text></a>
+				
+
+                                <iframe src="sites/{$site_name}/iframe/wmtb-header.html"
+                                        style="positionXXXX: absolute; height: 500px; border: none; width: 100%">
+                                  <gsf:comment>filler</gsf:comment>
+                                </iframe>
+
+				<div id="topArea" class="ui-state-default ui-corner-top">
+					<table>
+						<tbody>
+							<tr>
+								<td><div id="breadcrumbs"><xsl:call-template name="breadcrumbs"/><xsl:text> </xsl:text></div></td>
+								
+								<!-- ***** in header.xsl ***** -->
+								<td><xsl:call-template name="home-help-preferences"/></td>
+							</tr>
+						</tbody>
+					</table>
+				</div>
+				
+				<div id="container" class="ui-corner-all">
+
+					<!-- ***** in header.xsl ***** -->
+					<xsl:call-template name="create-banner"/>
+					
+					<xsl:if test="/page/pageRequest/paramList/param[(@name='formatedit') and (@value='on')]">
+						<xsl:call-template name="formatmanagerpre"/>
+					</xsl:if>
+    
+					<div id="gs_content" class="ui-widget-content">
+						<!--
+							show the content of the page.
+							to customise this part, edit the xsl file for the page you want to edit
+						-->
+						<xsl:apply-templates select="/page"/>
+
+					</div>
+
+					<xsl:call-template name="gs_footer"/>
+				</div>
+
+                                <iframe src="sites/{$site_name}/iframe/wmtb-footer.html"
+                                        style="positionXXXX: absolute; height: 390px; border: none; width: 100%">
+                                  <gsf:comment>filler</gsf:comment>
+                                </iframe>
+
+			</body>
+		</html>
+	</xsl:template>
+		
+	<!-- Template controlling the footer. -->
+	<xsl:template name="gs_footer">
+		<div id="gs_footer" class="ui-widget-header ui-corner-bottom">
+			<a href="http://www.greenstone.org"><gslib:poweredByGS3TextBar/></a>
+		</div>
+	</xsl:template>
+	
+	
+	
+</xsl:stylesheet>