Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/01/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/01/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/01/metadata.xml	(revision 33834)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Hoki Hoki Tonu Mai</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>HokiHokiTonuMaiS\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Song sheet</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Waiata Tira|Hoki Hoki Tonu Mai|Song sheet</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>HokiHokiTonuMaiL\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Lyrics</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Waiata Tira|Hoki Hoki Tonu Mai|Lyrics</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>HokiHokiTonuMai\.mp3</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Subject">Waiata Tira|Hoki Hoki Tonu Mai|Audio</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/02/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/02/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/02/metadata.xml	(revision 33834)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">E Toru ngÄ Mea</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Birth</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>ETorungaMeaS\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Song sheet</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">HÄ«mene|E Toru ngÄ Mea|Song sheet</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>ETorungaMeaL\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Lyrics</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">HÄ«mene|E Toru ngÄ Mea|Lyrics</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>ETorungaMea\.mp3</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Audio</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject"/>
+			<Metadata mode="accumulate" name="dc.Subject">HÄ«mene|E Toru ngÄ Mea|Audio</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/03/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/03/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/03/metadata.xml	(revision 33834)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">TÄnÄ Koutou</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Meeting</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>TenaKoutouS\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Song sheet</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">PÄtere|TÄnÄ Koutou|Song sheet</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>TenaKoutouL\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Lyrics</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">PÄtere|TÄnÄ Koutou|Lyrics</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>TenaKoutou\.mp3</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Audio</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">PÄtere|TÄnÄ Koutou|Audio</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/04/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/04/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/04/metadata.xml	(revision 33834)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Tihe Mauri Ora</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Birth</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>TiheMauriOraS\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Song sheet</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Pao|Tihe Mauri Ora|Song sheet</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>TiheMauriOraL\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Lyrics</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Pao|Tihe Mauri Ora|Lyrics</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>TiheMauriOra\.mp3</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Audio</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Pao|Tihe Mauri Ora|Audio</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/05/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/05/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/05/metadata.xml	(revision 33834)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Ko Ma Tou</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Wedding</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>KoMatouS\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Song sheet</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Negeri|Ko Ma Tou|Song sheet</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>KoMatouL\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Lyrics</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Negeri|Ko Ma Tou|Lyrics</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>KoMatou\.mp3</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Format">Audio</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Negeri|Ko Ma Tou|Audio</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/06/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/06/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/06/metadata.xml	(revision 33834)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">TÄrÄ Te PÅ Pango</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>907\.TÄrÄ Te PÅ Pango\.mp3</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">TÄrÄ Te PÅ Pango</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">MÅteatea|TÄrÄ Te PÅ Pango|Audio</Metadata>
+			<Metadata mode="accumulate" name="dc.Format">Audio</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>Tera te po pango\.docx</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Subject">MÅteatea|TÄrÄ Te PÅ Pango|Lyrics</Metadata>
+			<Metadata mode="accumulate" name="dc.Format">Lyrics</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: main/trunk/model-sites-dev/whakatohea/collect/waiata/import/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/whakatohea/collect/waiata/import/metadata.xml	(revision 33834)
+++ main/trunk/model-sites-dev/whakatohea/collect/waiata/import/metadata.xml	(revision 33834)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+
+    <!-- 
+	 Two examples of the syntax to use to attach metadata to files in a
+         given directory within the 'import' area.
+
+         Copy this file to the folder where the files or interest are, and
+	 then uncomment (or copy and paste) the <FileSet> block and
+	 edit to suit the file name(s) and metadata values required
+    -->
+
+
+    <!-- 
+	 Example 1:
+	   Attached dc.Title and dc.Subject (x 2) to a single, named file
+    -->
+
+<!--
+    <FileSet>
+        <FileName>sample-file1\.txt</FileName>
+        <Description>
+            <Metadata name="dc.Title">Sample Title</Metadata>
+            <Metadata name="dc.Subject">Subject A</Metadata>
+            <Metadata mode="accumulate" name="dc.Subject">Subject B</Metadata>
+        </Description>
+    </FileSet>
+-->
+
+    <!-- 
+	 Example 2:
+	   Attached dc.Subject to all files in this folder that match the given
+	   regular expression 
+    -->
+
+<!--
+    <FileSet>
+        <FileName>.*</FileName>
+        <Description>
+            <Metadata mode="accumulate" name="dc.Subject">Subject X</Metadata>
+        </Description>
+    </FileSet>
+-->
+
+</DirectoryMetadata>