Index: /other-projects/maori-lang-detection/mongodb-data/6a_counts_geojson-features_manualShortlist_numPagesInMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6a_counts_geojson-features_manualShortlist_numPagesInMRI.json	(revision 33868)
+++ /other-projects/maori-lang-detection/mongodb-data/6a_counts_geojson-features_manualShortlist_numPagesInMRI.json	(revision 33868)
@@ -0,0 +1,1 @@
+{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-84.12118430750687,-40.900557],[-84.12118430750687,25.12973907687671],[180.0,25.12973907687671],[180.0,-40.900557],[-84.12118430750687,-40.900557]]]},"properties":{"code":"NZ","count":4360,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-127.712891,37.09024],[-127.712891,79.65274],[-63.712891,79.65274],[-63.712891,37.09024],[-127.712891,37.09024]]]},"properties":{"code":"US","count":681,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,-17.274398],[135.775136,-17.274398],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":8,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,55.165691],[12.451526,55.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":4,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,60.26392],[11.501785,60.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":4,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,54.41291],[-6.24389,54.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":1,"region":"Ireland"}}]}
Index: /other-projects/maori-lang-detection/mongodb-data/6a_counts_multipoint_manualShortlist_numPagesInMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6a_counts_multipoint_manualShortlist_numPagesInMRI.json	(revision 33868)
+++ /other-projects/maori-lang-detection/mongodb-data/6a_counts_multipoint_manualShortlist_numPagesInMRI.json	(revision 33868)
@@ -0,0 +1,12 @@
+{"type":"MultiPoint","coordinates":
+[
+	[174.885971,-40.900557],
+	[-95.712891,37.09024],
+	[133.775136,-25.274398],
+	[10.451526,51.165691],
+	[9.501785,56.26392],
+	[25.48583,42.733883],
+	[-3.74922,40.463667],
+	[2.213749,46.227638],
+	[-8.24389,53.41291]
+]}
Index: /other-projects/maori-lang-detection/mongodb-data/6b_counts_geojson-features_manualShortlist_numPagesContainingMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6b_counts_geojson-features_manualShortlist_numPagesContainingMRI.json	(revision 33868)
+++ /other-projects/maori-lang-detection/mongodb-data/6b_counts_geojson-features_manualShortlist_numPagesContainingMRI.json	(revision 33868)
@@ -0,0 +1,1 @@
+{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-140.00000000000003,-40.900557],[-140.00000000000003,79.611943],[180.0,79.611943],[180.0,-40.900557],[-140.00000000000003,-40.900557]]]},"properties":{"code":"NZ","count":9641,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-140.0,37.09024],[-140.0,66.87149],[-11.999999999999986,66.87149],[-11.999999999999986,37.09024],[-140.0,37.09024]]]},"properties":{"code":"US","count":953,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,60.725601999999995],[135.775136,60.725601999999995],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":86,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,62.165691],[12.451526,62.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":11,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,63.26392],[11.501785,63.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":7,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.472962,49.817492],[13.472962,50.817492],[17.472962000000003,50.817492],[17.472962000000003,49.817492],[13.472962,49.817492]]]},"properties":{"code":"CZ","count":1,"region":"Czech Republic"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,56.41291],[-6.24389,56.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":3,"region":"Ireland"}}]}
Index: /other-projects/maori-lang-detection/mongodb-data/6b_counts_multipoint_manualShortlist_numPagesContainingMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6b_counts_multipoint_manualShortlist_numPagesContainingMRI.json	(revision 33868)
+++ /other-projects/maori-lang-detection/mongodb-data/6b_counts_multipoint_manualShortlist_numPagesContainingMRI.json	(revision 33868)
@@ -0,0 +1,13 @@
+{"type":"MultiPoint","coordinates":
+[
+	[174.885971,-40.900557],
+	[-95.712891,37.09024],
+	[133.775136,-25.274398],
+	[10.451526,51.165691],
+	[9.501785,56.26392],
+	[25.48583,42.733883],
+	[15.472962,49.817492],
+	[-3.74922,40.463667],
+	[2.213749,46.227638],
+	[-8.24389,53.41291]
+]}
Index: /other-projects/maori-lang-detection/mongodb-data/6table_nonProductSites1_manualShortlist.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6table_nonProductSites1_manualShortlist.json	(revision 33867)
+++ /other-projects/maori-lang-detection/mongodb-data/6table_nonProductSites1_manualShortlist.json	(revision 33868)
@@ -47,29 +47,26 @@
 
 
-
-
-
 --------------
 
-https://www.statisticshowto.datasciencecentral.com/probability-and-statistics/find-sample-size/#CI1
-https://stats.stackexchange.com/questions/207584/sample-size-choice-with-binary-outcome
-https://www.statisticshowto.datasciencecentral.com/z-alpha2-za2/
-
-N (NZ pages where isMRI comes out true) = 4360
-solving for n, the sample size
-confidence level = 90%
-m, margin of error = 5%
-
-From the "z alpha/2" table, for 90% confidence, we get a z alpha/2 value of 1.6449 (or 1.645).
-
-Then the sample size, n, we need is = 1.6449^2 * 4360 / ( 1.6449^2 + (4 * 4359) * 0.05^2) = 255 (rounded up)
-
-
-For N = 681, 
-sample size n is = 1.6449^2 * 681 / ( 1.6449^2 + (4 * 680) * 0.05^2) = 194 (rounded up)
-
-
-sample size for NZ: 255 (90% confidence with 5% margine of error, Including a finite correction factor)
-sample size for US: 194
+	https://www.statisticshowto.datasciencecentral.com/probability-and-statistics/find-sample-size/#CI1
+	https://stats.stackexchange.com/questions/207584/sample-size-choice-with-binary-outcome
+	https://www.statisticshowto.datasciencecentral.com/z-alpha2-za2/
+
+	N (NZ pages where isMRI comes out true) = 4360
+	solving for n, the sample size
+	confidence level = 90%
+	m, margin of error = 5%
+
+	From the "z alpha/2" table, for 90% confidence, we get a z alpha/2 value of 1.6449 (or 1.645).
+
+	Then the sample size, n, we need is = 1.6449^2 * 4360 / ( 1.6449^2 + (4 * 4359) * 0.05^2) = 255 (rounded up)
+
+
+	For N = 681, 
+	sample size n is = 1.6449^2 * 681 / ( 1.6449^2 + (4 * 680) * 0.05^2) = 194 (rounded up)
+
+
+	sample size for NZ: 255 (90% confidence with 5% margine of error, Including a finite correction factor)
+	sample size for US: 194
 
 */
@@ -77,5 +74,5 @@
 
 
-ï»¿"_id","siteCount","numPagesInMRICount","numPagesContainingMRICount","URLs of pages detected as inMRI"
+ï»¿"_id","siteCount containsMRI","numPagesInMRICount","numPagesContainingMRICount","URLs of pages detected as inMRI"
 "nz","176.0","4360","9641"
 "us","29.0","681","953"
@@ -90,4 +87,5 @@
 
 Total sites containing MRI: 216
+[of which 96 isMRI sites from NZ]
 Total pages detected as being in MRI: 5062
 Total pages detected as containing MRI sentences: 10706